# Class ObservationTextRule

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a rule used to validate or process observation text.

    public class ObservationTextRule

Inheritance
  object
  ObservationTextRule

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Label

    public string? Label { get; set; }

#### Property Value

string

### MatchBoolean

    public bool? MatchBoolean { get; set; }

#### Property Value

bool?

### MatchDate

    public DateTime? MatchDate { get; set; }

#### Property Value

DateTime?

### MatchNumber

    public decimal? MatchNumber { get; set; }

#### Property Value

decimal?

### MatchText

    public string? MatchText { get; set; }

#### Property Value

string

### MaxDate

    public DateTime? MaxDate { get; set; }

#### Property Value

DateTime?

### MaxNum

    public decimal? MaxNum { get; set; }

#### Property Value

decimal?

### MinDate

    public DateTime? MinDate { get; set; }

#### Property Value

DateTime?

### MinNum

    public decimal? MinNum { get; set; }

#### Property Value

decimal?

### Value

    public string? Value { get; set; }

#### Property Value

string

### ValueType

    public ObservationEnum.ValueType ValueType { get; set; }

#### Property Value

ObservationEnum.ValueType